> For the complete documentation index, see [llms.txt](https://docs.terminal.africa/tship/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.terminal.africa/tship/carrier/enable-carrier.md).

# Enable Carrier

## /carriers/enable/:carrier\_id

<mark style="color:green;">`POST`</mark> `https://api.terminal.africa/v1/carriers/enable/:carrier_id`

This endpoint allows you to enable a carrier. One of ***domestic***, ***international*** or **regional** query parameters is required in request.

#### Path Parameters

| Name                                          | Type   | Description                           |
| --------------------------------------------- | ------ | ------------------------------------- |
| carrier\_id<mark style="color:red;">\*</mark> | string | Unique ***carrier\_id*** for carrier. |

#### Query Parameters

| Name          | Type    | Description                                                                  |
| ------------- | ------- | ---------------------------------------------------------------------------- |
| domestic      | boolean | Set to ***true*** to enable carrier for domestic rates and deliveries.       |
| international | boolean | Set to ***true*** to enable carrier for international  rates and deliveries. |
| regional      | boolean | Set to ***true*** to enable carrier for regional  rates and deliveries.      |

#### Headers

| Name                                            | Type   | Description                      |
| ----------------------------------------------- | ------ | -------------------------------- |
| Authorization<mark style="color:red;">\*</mark> | string | Set value to `Bearer SECRET_KEY` |
| Content-Type                                    | string | Set value to `application/json`  |

{% tabs %}
{% tab title="200 Carrier enabled successfully." %}

```
{
	status: true,
	message: 'Carrier enabled successfully',
	data: {
		active: true,
		carrier_id: 'CA-01521075089',
		domestic: true,
		id: 'loYZh5J47D6gJUKOExXeO1RLcMARScLi',
		international: true,		
		logo: 'https://ucarecdn.com/dcdd8109-af8c-4057-8104-192be821dd6e/download4.png',
		metadata: {},
		name: 'DHL Express',
		created_at: '2021-07-13T20:25:53.011Z',
		updated_at: '2021-07-13T20:25:53.011Z'
	}
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.terminal.africa/tship/carrier/enable-carrier.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
